#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x88,0x07,0xEC,0x51,0xE2,0xCD,0x11,0xDD,0x96,0x48,0xEA,0x61,
		0x4C,0x4F,0x0B,0x50,0x4B,0x3A,0xCB,0x90,0x6D,0x01,0xDB,0x8A,
		0xAB,0x73,0x15,0xF4,0x94,0xC8,0x22,0xEB,0x2E,0x05,0xDD,0xEB,
		0x26,0x5D,0x64,0x94,0xB5,0x7B,0xFC,0x85,0x0F,0x9E,0x93,0xE1,
		0x14,0x10,0xDB,0xF9,0xD5,0xDF,0xE2,0x9A,0x6C,0xAF,0x63,0x5C,
		0x0B,0xC8,0x04,0x47,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
